Subject: Re: [PATCH 1/2] t/t6300: introduce test_bad_atom()

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Sep 2023 16:21:38 -0700

Junio C Hamano <[email-masked]> writes:

>> +test_bad_atom tag 'taggeremail:localpart trim' \
>> +	'fatal: unrecognized %(taggeremail) argument:  trim'
>
> It is strange to see double SP before 'trim' in this error message.
> Are we etching a code mistake in stone here?  Wouldn't the error
> message say "...argument: localpart trim" instead, perhaps?

I tried.  The fatal message does say ...argument: localpart trim" as
I suspected, when you ask for 'taggeremail:localpart trim'.

I think I know what is going on.  With the [PATCH 1/2] as-is, this
piece does not pass.  But because the error message from parsing
gets broken by [PATCH 2/2], after applying [PATCH 2/2], the error
message will become what the above test expects, hiding the new
breakage in the code.  And it probably was not noticed before you
sent the patches, because you did not test [PATCH 1/2] alone.